curl --request POST \
--url https://api.paxos.com/v2/transfer/fees/crypto-withdrawal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "ETH",
"amount": "0.00005",
"destination_address": "0xF0Aa84466e353E5390be37FE2934301c07c19a55",
"crypto_network": "ETHEREUM"
}
'import requests
url = "https://api.paxos.com/v2/transfer/fees/crypto-withdrawal"
payload = {
"asset": "ETH",
"amount": "0.00005",
"destination_address": "0xF0Aa84466e353E5390be37FE2934301c07c19a55",
"crypto_network": "ETHEREUM"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset: 'ETH',
amount: '0.00005',
destination_address: '0xF0Aa84466e353E5390be37FE2934301c07c19a55',
crypto_network: 'ETHEREUM'
})
};
fetch('https://api.paxos.com/v2/transfer/fees/crypto-withdrawal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paxos.com/v2/transfer/fees/crypto-withdrawal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'asset' => 'ETH',
'amount' => '0.00005',
'destination_address' => '0xF0Aa84466e353E5390be37FE2934301c07c19a55',
'crypto_network' => 'ETHEREUM'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paxos.com/v2/transfer/fees/crypto-withdrawal"
payload := strings.NewReader("{\n \"asset\": \"ETH\",\n \"amount\": \"0.00005\",\n \"destination_address\": \"0xF0Aa84466e353E5390be37FE2934301c07c19a55\",\n \"crypto_network\": \"ETHEREUM\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.paxos.com/v2/transfer/fees/crypto-withdrawal")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"asset\": \"ETH\",\n \"amount\": \"0.00005\",\n \"destination_address\": \"0xF0Aa84466e353E5390be37FE2934301c07c19a55\",\n \"crypto_network\": \"ETHEREUM\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paxos.com/v2/transfer/fees/crypto-withdrawal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"asset\": \"ETH\",\n \"amount\": \"0.00005\",\n \"destination_address\": \"0xF0Aa84466e353E5390be37FE2934301c07c19a55\",\n \"crypto_network\": \"ETHEREUM\"\n}"
response = http.request(request)
puts response.read_body{
"id": "34bd61ed-cf0a-4012-8be4-d347667b6154",
"fee": "0.00005",
"asset": "ETH",
"amount": "0.001",
"expires_at": "2021-02-10T23:00:00Z",
"destination_address": "0xF0Aa84466e353E5390be37FE2934301c07c19a55",
"crypto_network": "ETHEREUM"
}{
"type": "https://developer.paxos.com/docs/v2/problems/travel-rule-information-required",
"title": "Travel Rule Information Required",
"status": 403,
"detail": "Travel Rule information is required for this destination: call PutCryptoDestinationAddress with travelrule_metadata populated and retry",
"meta": {
"identity_id": "f304e9c8-e5d9-4e5e-8f3c-123456789abc",
"crypto_network": "ETHEREUM",
"address": "0xe4B0aCA9FB669817775274775b20e52118595515"
}
}Create Crypto Withdrawal Fee
Get a guaranteed fee for the given currency, valid for a period of time.
Specify exactly one of amount or total, otherwise an error is returned.
The Create Crypto Withdrawal request that uses the guaranteed fee endpoint
must specify an amount less than or equal to the guaranteed fee amount, otherwise the withdrawal is rejected.
A request to create a crypto withdrawal fee can fail with one of the following types of errors:
- Travel Rule Information Required if the withdrawal requires Travel Rule information and the destination address is missing it.
curl --request POST \
--url https://api.paxos.com/v2/transfer/fees/crypto-withdrawal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "ETH",
"amount": "0.00005",
"destination_address": "0xF0Aa84466e353E5390be37FE2934301c07c19a55",
"crypto_network": "ETHEREUM"
}
'import requests
url = "https://api.paxos.com/v2/transfer/fees/crypto-withdrawal"
payload = {
"asset": "ETH",
"amount": "0.00005",
"destination_address": "0xF0Aa84466e353E5390be37FE2934301c07c19a55",
"crypto_network": "ETHEREUM"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset: 'ETH',
amount: '0.00005',
destination_address: '0xF0Aa84466e353E5390be37FE2934301c07c19a55',
crypto_network: 'ETHEREUM'
})
};
fetch('https://api.paxos.com/v2/transfer/fees/crypto-withdrawal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paxos.com/v2/transfer/fees/crypto-withdrawal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'asset' => 'ETH',
'amount' => '0.00005',
'destination_address' => '0xF0Aa84466e353E5390be37FE2934301c07c19a55',
'crypto_network' => 'ETHEREUM'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paxos.com/v2/transfer/fees/crypto-withdrawal"
payload := strings.NewReader("{\n \"asset\": \"ETH\",\n \"amount\": \"0.00005\",\n \"destination_address\": \"0xF0Aa84466e353E5390be37FE2934301c07c19a55\",\n \"crypto_network\": \"ETHEREUM\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.paxos.com/v2/transfer/fees/crypto-withdrawal")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"asset\": \"ETH\",\n \"amount\": \"0.00005\",\n \"destination_address\": \"0xF0Aa84466e353E5390be37FE2934301c07c19a55\",\n \"crypto_network\": \"ETHEREUM\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paxos.com/v2/transfer/fees/crypto-withdrawal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"asset\": \"ETH\",\n \"amount\": \"0.00005\",\n \"destination_address\": \"0xF0Aa84466e353E5390be37FE2934301c07c19a55\",\n \"crypto_network\": \"ETHEREUM\"\n}"
response = http.request(request)
puts response.read_body{
"id": "34bd61ed-cf0a-4012-8be4-d347667b6154",
"fee": "0.00005",
"asset": "ETH",
"amount": "0.001",
"expires_at": "2021-02-10T23:00:00Z",
"destination_address": "0xF0Aa84466e353E5390be37FE2934301c07c19a55",
"crypto_network": "ETHEREUM"
}{
"type": "https://developer.paxos.com/docs/v2/problems/travel-rule-information-required",
"title": "Travel Rule Information Required",
"status": 403,
"detail": "Travel Rule information is required for this destination: call PutCryptoDestinationAddress with travelrule_metadata populated and retry",
"meta": {
"identity_id": "f304e9c8-e5d9-4e5e-8f3c-123456789abc",
"crypto_network": "ETHEREUM",
"address": "0xe4B0aCA9FB669817775274775b20e52118595515"
}
}fee:write_crypto_withdrawal_fee
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Body
The currency to withdraw.
The destination address.
A CryptoNetwork is a blockchain transmitting cryptocurrencies.
BITCOIN, ETHEREUM, BITCOIN_CASH, LITECOIN, SOLANA, POLYGON_POS, BASE, ARBITRUM_ONE, STELLAR, INK, XLAYER, AVALANCHE, DOGECOIN, SUI, ROBINHOOD, BNB, OP, COSMOS, TRON, APTOS, HYPEREVM, MANTLE, RIPPLE, STABLE The amount to withdraw. Must be greater than 0.
Specify exactly one of amount or total, otherwise an error is returned.
^[0-9]*\.?[0-9]+$Total amount to withdraw, including fees. Must be greater than 0.
Specify exactly one of total or amount, otherwise an error is returned.
^[0-9]*\.?[0-9]+$The Identity of the user making the withdrawal.
Memo of the destination address, if it has one.
Response
A successful response.
The id of the guaranteed fee.
The guaranteed fee value, in the same currency.
^[0-9]*\.?[0-9]+$The currency to withdraw.
The expiration timestamp of the created fee.
The destination address.
A CryptoNetwork is a blockchain transmitting cryptocurrencies.
BITCOIN, ETHEREUM, BITCOIN_CASH, LITECOIN, SOLANA, POLYGON_POS, BASE, ARBITRUM_ONE, STELLAR, INK, XLAYER, AVALANCHE, DOGECOIN, SUI, ROBINHOOD, BNB, OP, COSMOS, TRON, APTOS, HYPEREVM, MANTLE, RIPPLE, STABLE The quoted amount to withdraw for which the fee is valid.
Specify exactly one of amount or total, otherwise an error is returned.
^[0-9]*\.?[0-9]+$Total amount to withdraw, including fees.
Specify exactly one of amount or total, otherwise an error is returned.
^[0-9]*\.?[0-9]+$Was this page helpful?